%define upstream_name    Monkey-Patch
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Scoped monkeypatching
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		Monkey-Patch-0.03-fix_pod.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(SUPER)
BuildRequires: perl(Sub::Delete)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)

BuildArch: noarch

%description
Monkey patching is a way to extend or modify the runtime code of a program or
library without altering the original source code.

Monkey::Patch provides lexical scope monkey-patching so that you can wrap any
other package's subroutine with your own code and still have access to the
original subroutine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc LICENSE CHANGES README META.yml MYMETA.yml MYMETA.json
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.30.0-2.mga10
+ Revision: 2220028
- Mageia 10 Mass Rebuild

* Wed Nov 01 2023 rapsys <rapsys> 0.30.0-1.mga10
+ Revision: 2003213
- Initial import
- Created package structure for perl-Monkey-Patch.

